Bug 1475489 (CVE-2017-11641) - CVE-2017-11641 GraphicsMagick: Memory Leak in the PersistCache in magick/pixel_cache.c
Summary: CVE-2017-11641 GraphicsMagick: Memory Leak in the PersistCache in magick/pixe...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-11641
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475490 1475491
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-26 19:06 UTC by Pedro Sampaio
Modified: 2019-09-29 14:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:18:42 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-07-26 19:06:59 UTC
GraphicsMagick 1.3.26 has a Memory Leak in the PersistCache function in
magick/pixel_cache.c during writing of Magick Persistent Cache (MPC)
files.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/db732abd9318

References:

https://bugzilla.novell.com/show_bug.cgi?id=1050623

Comment 1 Pedro Sampaio 2017-07-26 19:07:33 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1475490]
Affects: fedora-all [bug 1475491]

Comment 2 Product Security DevOps Team 2019-06-08 03:18:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.